Skip to navigation

Devices List Members Devices

View as Markdown

List all device sessions of a team.

Permission : Team member file access.

Required scope: sessions.list

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects a nullable object.
cursorstring or nullOptional

At the first call to the devices/list_members_devices the cursor shouldn’t be passed. Then, if the result of the call includes a cursor, the following requests should include the received cursors in order to receive the next sub list of team devices.

include_desktop_clientsbooleanOptionalDefaults to true
Whether to list desktop clients of the team members.
include_mobile_clientsbooleanOptionalDefaults to true
Whether to list mobile clients of the team members.
include_web_sessionsbooleanOptionalDefaults to true
Whether to list web sessions of the team members.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
deviceslist of objects
The devices of each member of the team.
has_moreboolean

If true, then there are more devices available. Pass the cursor to devices/list_members_devices to retrieve the rest.

cursorstring or nullOptional

Pass the cursor into devices/list_members_devices to receive the next sub list of team’s devices.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error